petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatPartitioningChacoGetEigenNumber

Gets the number of eigenvectors used by Chaco.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoGetEigenNumber(MatPartitioning part,PetscInt *num)

Not Collective

### Input Parameter

| part | - the partitioning context

### Output Parameter

| num | - number of eigenvectors

### See Also

MatPartitioningChacoSetEigenNumber()

### Level

advanced

### Location

src/mat/partition/impls/chaco/chaco.c

### Implementations

MatPartitioningChacoGetEigenNumber_Chaco in src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages